org.apache.ode.bpel.o

## Class OPickReceive

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OPickReceive

- All Implemented Interfaces:
    java.io.Serializable

      public class OPickReceive
      extends OActivity

  Compiled rerperesentation of the BPEL `<pick>` and `<receive>` activities. Because the latter is essentially a simplified version of the former, at run-time we do not distinguish between the two.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OPickReceive.OnAlarm`
    `static class` | `OPickReceive.OnMessage`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `createInstanceFlag`
    `java.util.List<OPickReceive.OnAlarm>` | `onAlarms`
    `java.util.List<OPickReceive.OnMessage>` | `onMessages`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPickReceive(OProcess owner, OActivity parent)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling, toString`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### onMessages

          public final java.util.List<OPickReceive.OnMessage> onMessages

    - #### onAlarms

          public final java.util.List<OPickReceive.OnAlarm> onAlarms

    - #### createInstanceFlag

          public boolean createInstanceFlag

  - ### Constructor Detail

    - #### OPickReceive

          public OPickReceive(OProcess owner,
                              OActivity parent)